QGIS Application - Bug report #13842
QGIS 2.12 crash on opening layer properties

2015-11-16 03:47 PM - Lewis Hein

Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:2.12.0
Operating System: Ubuntu

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 21866

Description

Qgis 2.12 crashes when opening the layer properties dialog using this configuration file.
This file works fine in qgis 2.10, and the problem appeared after upgrading to 2.12.

To reproduce the problem:

1 Place the attached file in $HOME/.config/QGIS/QGIS2.conf
2 Open QGIS 2.12 and create a new project.

3 Add a new vector layer with the default settings.

4 Open the layer properties dialog (Layer->Properties)

QGIS will freeze and then segfault.

Output and backtrace from LLDB version 3.6 is also attached

History

#1 - 2016-01-19 04:35 AM - Sandro Santilli
- Status changed from Open to Feedback

| cannot reproduce with current master (2.14-pre -- commit:69cb0c4ed3174946c82e32dad4afba12275079fc)

Canyou ?

#2 - 2016-04-09 12:34 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback. Please reopen if necessary.

Files

lldb-3.6_output.ixt 2015-11-16 Lewis Hein

QGIS2.conf 2015-11-16 Lewis Hein
